FreeMat

- Main Page
- Related Pages

vtkImageCorrelation

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageCorrelation finds the correlation between two data sets. SetDimensionality determines whether the Correlation will be 3D, 2D or 1D. The default is a 2D Correlation. The Output type will be double. The output size will match the size of the first input. The second input is considered the correlation kernel.

To create an instance of class vtkImageCorrelation, simply invoke its constructor as follows

      obj = vtkImageCorrelation

# Methods

The class vtkImageCorrelation has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageCorrelation class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageCorrelation = obj.NewInstance ()`
- `vtkImageCorrelation = obj.SafeDownCast (vtkObject o)`
- `obj.SetDimensionality (int )` - Determines how the input is interpreted (set of 2d slices ...). The default is 2.
- `int = obj.GetDimensionalityMinValue ()` - Determines how the input is interpreted (set of 2d slices ...). The default is 2.
- `int = obj.GetDimensionalityMaxValue ()` - Determines how the input is interpreted (set of 2d slices ...). The default is 2.
- `int = obj.GetDimensionality ()` - Determines how the input is interpreted (set of 2d slices ...). The default is 2.
- `obj.SetInput1 (vtkDataObject in)` - Set the correlation kernel.
- `obj.SetInput2 (vtkDataObject in)`